package com.bonus.canteen.core.supermarket.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalTime;

@ApiModel
public class BusinessConfigModel {
   @ApiModelProperty("是否营业")
   private Integer ifBusiness;
   @ApiModelProperty("营业开始时间")
   private LocalTime openingTime;
   @ApiModelProperty("营业结束时间")
   private LocalTime closingTime;

   public Integer getIfBusiness() {
      return this.ifBusiness;
   }

   public LocalTime getOpeningTime() {
      return this.openingTime;
   }

   public LocalTime getClosingTime() {
      return this.closingTime;
   }

   public void setIfBusiness(final Integer ifBusiness) {
      this.ifBusiness = ifBusiness;
   }

   public void setOpeningTime(final LocalTime openingTime) {
      this.openingTime = openingTime;
   }

   public void setClosingTime(final LocalTime closingTime) {
      this.closingTime = closingTime;
   }

   public String toString() {
      Integer var10000 = this.getIfBusiness();
      return "BusinessConfigModel(ifBusiness=" + var10000 + ", openingTime=" + String.valueOf(this.getOpeningTime()) + ", closingTime=" + String.valueOf(this.getClosingTime()) + ")";
   }
}
